net.i2p.sam.client

## Class SAMReader

- java.lang.Object
- - net.i2p.sam.client.SAMReader

    public class SAMReader
    extends Object

Read from a socket, producing events for any SAM message read

### Nested Class Summary

Nested Classes
`static interface` `SAMReader.SAMClientEventListener` Async event notification interface for SAM clients

### Constructor Summary

Constructors
Constructor and Description
`SAMReader(I2PAppContext context, InputStream samIn, SAMReader.SAMClientEventListener listener)`

### Method Summary

Methods
`void` `startReading()`
`void` `stopReading()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SAMReader

    public SAMReader(I2PAppContext context,
             InputStream samIn,
             SAMReader.SAMClientEventListener listener)

### Method Detail

#### startReading

    public void startReading()

#### stopReading

    public void stopReading()